Bug 1459086 - The source URL should be updated for libpng
Summary: The source URL should be updated for libpng
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libpng10
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1458040
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-06 09:10 UTC by Nikola Forró
Modified: 2018-11-27 18:42 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1458040
Environment:
Last Closed: 2018-11-27 18:42:18 UTC
Type: Bug


Attachments (Terms of Use)

Description Nikola Forró 2017-06-06 09:10:56 UTC
+++ This bug was initially created as a clone of Bug #1458040 +++

Glenn Randers-Pehrson filed an issue with Anitya[0] about updating the source URLs for libpng projects and I thought I would bring this to the packagers attention as well. Apparently upstream tarballs are now available via HTTPS (rather than FTP) at:

https://ftp-osl.osuosl.org/pub/libpng/src/libpng10/
https://ftp-osl.osuosl.org/pub/libpng/src/libpng12/
https://ftp-osl.osuosl.org/pub/libpng/src/libpng15/
https://ftp-osl.osuosl.org/pub/libpng/src/libpng16/
https://ftp-osl.osuosl.org/pub/libpng/src/beta/libpng17/

Or directly from GitHub tags. Apparently the old FTP system is quite overloaded and using a slow DSL connection.

This affects this package, as well as libpng10, libpng12, and libpng15. It looks like it's pretty much the same set of maintainers so I thought I'd start with just the one bug, but I'm happy to duplicate it if the maintainers wish it.

Thanks!

[0] https://github.com/release-monitoring/anitya/issues/489

Comment 1 Fedora Update System 2017-06-20 08:34:12 UTC
libpng10-1.0.67-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-58f054338a

Comment 2 Fedora Update System 2017-06-21 06:23:33 UTC
libpng10-1.0.67-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-58f054338a

Comment 3 Fedora Update System 2017-06-25 01:53:12 UTC
libpng10-1.0.67-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Jan Kurik 2017-08-15 09:15:33 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 5 Ben Cotton 2018-11-27 18:29:56 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Paul Howarth 2018-11-27 18:42:18 UTC
This is fixed in all current Fedora and EPEL releases.


Note You need to log in before you can comment on or make changes to this bug.